#!/usr/bin/python3

from .track_control import TrackControl


class GUICommunication:
    """
    Class handling events that are a bit more complex.
    """

    def __init__(self, app):
        self.app = app

        self.track_control = TrackControl(self.app)

        self.connect()

    def connect(self):
        pass

    def on_track_start(self):
        self.track_control.on_track_start()

